package com.jpattern.orm;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import com.jpattern.orm.test.AutoIdTest;
import com.jpattern.orm.test.EmployeeTest;
import com.jpattern.orm.test.PeopleMultipleTest;
import com.jpattern.orm.test.PeopleTest;
import com.jpattern.orm.test.WrapperTypeTableTest;
import com.jpattern.orm.test.crud.OrmCRUDQueryGeneratorTest;
import com.jpattern.orm.test.exception.ConstraintViolationExceptionTest;
import com.jpattern.orm.test.mapper.ClassMapperGeneratorTest;
import com.jpattern.orm.test.query.QueryExecutionTest;
import com.jpattern.orm.test.script.ScriptExecutorTest;
import com.jpattern.orm.test.session.SessionSaveOrUpdateTest;
import com.jpattern.orm.test.transaction.EmployeeTransactionTest;
import com.jpattern.orm.test.transaction.JdbcTemplatePeopleTest;
import com.jpattern.orm.test.version.VersionTest;

/**
 * 
 * @author Francesco Cina
 * 
 *         20/mag/2011
 */
@RunWith(Suite.class)
@Suite.SuiteClasses({
	EmployeeTest.class,
	ClassMapperGeneratorTest.class,
	ConstraintViolationExceptionTest.class,
	PeopleTest.class,
	EmployeeTransactionTest.class,
	QueryExecutionTest.class,
	PeopleMultipleTest.class,
	ScriptExecutorTest.class,
	AutoIdTest.class,
	JdbcTemplatePeopleTest.class,
	OrmCRUDQueryGeneratorTest.class,
	VersionTest.class,
	WrapperTypeTableTest.class,
	SessionSaveOrUpdateTest.class

})
public class ComplianceHSQLDBTests {

}
