package com.jpattern.orm;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import com.jpattern.orm.test.EmployeeTest;
import com.jpattern.orm.test.crud.OrmCRUDQueryGeneratorTest;
import com.jpattern.orm.test.exception.ConstraintViolationExceptionTest;
import com.jpattern.orm.test.h2.BlobClob_String_Test;
import com.jpattern.orm.test.mapper.ClassMapperGeneratorTest;
import com.jpattern.orm.test.query.PlainSqlExecutorsTest;
import com.jpattern.orm.test.query.forupdate.QuerySelectForUpdateExecutionTest;
import com.jpattern.orm.test.session.SqlExecutorsTest;
import com.jpattern.orm.test.transaction.EmployeeTransactionTest;

/**
 * 
 * @author Francesco Cina
 * 
 *         20/mag/2011
 */
@RunWith(Suite.class)
@Suite.SuiteClasses({
	EmployeeTest.class,
	ClassMapperGeneratorTest.class,
	ConstraintViolationExceptionTest.class,
	EmployeeTransactionTest.class,
	//	QueryExecutionTest.class,
	//	AutoIdTest.class,
	QuerySelectForUpdateExecutionTest.class,
	OrmCRUDQueryGeneratorTest.class,
	//	VersionTest.class,
	//	WrapperTypeTableTest.class,
	//	SessionSaveOrUpdateTest.class,
	BlobClob_String_Test.class,


	// There are problems with Derby's generated key logic, then transactions do not work.
	//	PeopleMultipleTest.class,
	//	PeopleTest.class,
	//	ScriptExecutorTest.class,
	//	JdbcTemplatePeopleTest.class,

	//test with Oracle SEQUENCE notation
	SqlExecutorsTest.class,
	PlainSqlExecutorsTest.class
})
public class ComplianceOracleTests {

}
